A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Topics
ArrayFire Functions by Category

## Topics
| Computer Vision
| Events
| Managing ArrayFire Events which allows manipulation of operations on computation queues.
| Functions to create and modify Arrays
| Functions to work with internal array layout
| Image Processing
| Input and Output functions
| Interface Functions
| Linear Algebra
| Machine Learning
| Mathematical functions
| Memory Management
| Interfaces for writing custom memory managers.
| Signal Processing
| Statistics
| Unified API Functions
| Vector Algorithms

## Detailed Description